ONVIF::Device::Elements::Capabilities(3pm)

NAME
ONVIF::Device::Elements::Capabilities

DESCRIPTION
Perl data type class for the XML Schema defined element Capabilities from the namespace http://www.onvif.org/ver10/device/wsdl.

METHODS

  new
 my $element = ONVIF::Device::Elements::Capabilities->new($data);

Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::DeviceServiceCapabilities
   Network => ,
   Security => ,
   System => ,
   Misc => ,
 },

AUTHOR
Generated by SOAP::WSDL